@echo off
setlocal EnableExtensions DisableDelayedExpansion
echo This batch file will create Symbolic Links between this folder and 3 core VAM Folders:
echo    1) VAM\Custom
echo    2) VAM\Saves
echo    3) VAM\AddonPackagesFilePrefs
echo Creating these symbolic links will allow the BrowserAssist plugin by JayJayWon to 
echo create files in these folders. This is primarily used to set the Favourite and Hide
echo VAM flags. BrowserAssist may also use these links to delete files, but only where
echo the user has explicitly requested that for a file.
echo It's not possible for a VAM plugin to do these functions without the Symbolic Links
echo being created.
echo/
echo WARNING: It should be noted that, in theory, creating these symbolic links may also  
echo allow a malicious plugin author to delete any or all files in these folders. By avoiding
echo the use and download of plugins from unreliable sources then this risk can be minimised.
echo/
if exist "%SystemRoot%\System32\choice.exe" goto UseChoice

setlocal EnableExtensions EnableDelayedExpansion

:UseChoice
%SystemRoot%\System32\choice.exe /C YN /N /M "Are you sure [Y/N]?"
if not errorlevel 1 goto UseChoice
if errorlevel 2 goto :EOF

:Continue
mkdir SymLinks
mkdir ..\..\..\..\AddonPackagesFilePrefs
mklink /J SymLinks\AddonPackagesFilePrefs ..\..\..\..\AddonPackagesFilePrefs
mklink /J SymLinks\Saves ..\..\..\..\Saves
mklink /J SymLinks\Custom ..\..\..\..\Custom
endlocal

